org.eclipse.gef.common.beans.property

## Class SimpleMultisetProperty<E>

- java.lang.Object
- - org.eclipse.gef.common.beans.binding.MultisetExpression<E>
  - - org.eclipse.gef.common.beans.property.ReadOnlyMultisetProperty<E>
    - - org.eclipse.gef.common.beans.property.MultisetProperty<E>
      - - org.eclipse.gef.common.beans.property.MultisetPropertyBase<E>
        - - org.eclipse.gef.common.beans.property.SimpleMultisetProperty<E>

Type Parameters:
  `E` - The element type of the `ObservableMultiset`.

All Implemented Interfaces:
  com.google.common.collect.Multiset<E>, java.lang.Iterable<E>, java.util.Collection<E>, javafx.beans.Observable, javafx.beans.property.Property<ObservableMultiset<E>>, javafx.beans.property.ReadOnlyProperty<ObservableMultiset<E>>, javafx.beans.value.ObservableObjectValue<ObservableMultiset<E>>, javafx.beans.value.ObservableValue<ObservableMultiset<E>>, javafx.beans.value.WritableObjectValue<ObservableMultiset<E>>, javafx.beans.value.WritableValue<ObservableMultiset<E>>, ObservableMultisetValue<E>, WritableMultisetValue<E>, ObservableMultiset<E>

Direct Known Subclasses:
  ReadOnlyMultisetWrapper

    public class SimpleMultisetProperty<E>
    extends MultisetPropertyBase<E>

A concrete implementation of a `Property` wrapping an `ObservableMultiset`.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.beans.property.MultisetPropertyBase

`empty, size`

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.common.collect.Multiset

`com.google.common.collect.Multiset.Entry<E>`

### Constructor Summary

Constructors
Constructor and Description
`SimpleMultisetProperty()` Constructs a new unnamed `SimpleMultisetProperty`.
`SimpleMultisetProperty(java.lang.Object bean, java.lang.String name)` Constructs a new `SimpleMultisetProperty` for the given bean and with the given name.
`SimpleMultisetProperty(java.lang.Object bean, java.lang.String name, ObservableMultiset<E> initialValue)` Constructs a new `SimpleMultisetProperty` for the given bean and with the given name and initial value.
`SimpleMultisetProperty(ObservableMultiset<E> initialValue)` Constructs a new unnamed `SimpleMultisetProperty` that is not related to a bean, with the given initial value.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getBean()`
`java.lang.String` `getName()`

### Methods inherited from class org.eclipse.gef.common.beans.property.MultisetPropertyBase

`addListener, addListener, addListener, appendValueToString, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, unbind`

### Methods inherited from class org.eclipse.gef.common.beans.property.MultisetProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlyMultisetProperty

`bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.MultisetExpression

`add, add, addAll, asString, clear, contains, containsAll, count, elementSet, entrySet, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, multisetExpression, remove, remove, removeAll, replaceAll, retainAll, setCount, setCount, size, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableMultiset

`replaceAll`

### Methods inherited from interface com.google.common.collect.Multiset

`add, add, contains, containsAll, count, elementSet, entrySet, equals, forEach, forEachEntry, hashCode, iterator, remove, remove, removeAll, retainAll, setCount, setCount, size, spliterator, toString`

### Methods inherited from interface java.util.Collection

`addAll, clear, isEmpty, parallelStream, removeIf, stream, toArray, toArray`

### Constructor Detail

#### SimpleMultisetProperty

    public SimpleMultisetProperty()

Constructs a new unnamed `SimpleMultisetProperty`.

#### SimpleMultisetProperty

    public SimpleMultisetProperty(java.lang.Object bean,
                                  java.lang.String name)

Constructs a new `SimpleMultisetProperty` for the given bean and with the given name.

Parameters:
  `bean` - The bean this property is related to.
  `name` - The name of the property.

#### SimpleMultisetProperty

    public SimpleMultisetProperty(java.lang.Object bean,
                                  java.lang.String name,
                                  ObservableMultiset<E> initialValue)

Constructs a new `SimpleMultisetProperty` for the given bean and with the given name and initial value.

Parameters:
  `bean` - The bean this property is related to.
  `name` - The name of the property.
  `initialValue` - The initial value of the property

#### SimpleMultisetProperty

    public SimpleMultisetProperty(ObservableMultiset<E> initialValue)

Constructs a new unnamed `SimpleMultisetProperty` that is not related to a bean, with the given initial value.

Parameters:
  `initialValue` - The initial value of the property

### Method Detail

#### getBean

    public java.lang.Object getBean()

#### getName

    public java.lang.String getName()